Subject: Birdwings

From: Philip LaBrie <[email-masked]>
Date: 16 Sep 1996 05:51:28 GMT

I am looking for papers with information on the lifecycle of birdwings, 
ie. length of tim as egg, larvae, pupae etc. I am developing an 
artificial diet for the Cairns Birdwing, Ornothoptera priamus and need 
this data to compar to my results. any help would be apreaciated.